import { getDefaultLocaleByLanguage, language } from "@/locales";
import { palmistryV1Prefix } from "@/routes";
import { Helmet } from "react-helmet";

const routesPalmistry = [
  // "/palmistry",
  // routes.client.skipTrial(),
  // routes.client.addConsultant(),
  // routes.client.addGuides(),
  palmistryV1Prefix
];

const isRouteInclude = (url: string, routes: string[]) => {
  for (const route of routes) {
    if (url.includes(route)) {
      return true;
    }
  }
  return false;
};

const HeadDataPalmDomen = () => {
  const locale = getDefaultLocaleByLanguage(language);
  const isPalmistry = isRouteInclude(window.location.pathname, routesPalmistry);

  // Palmistry
  const FBScriptPalmistry1 = `
!function(f,b,e,v,n,t,s)
{if(f.fbq)return;n=f.fbq=function(){n.callMethod?
n.callMethod.apply(n,arguments):n.queue.push(arguments)};
if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
n.queue=[];t=b.createElement(e);t.async=!0;
t.src=v;s=b.getElementsByTagName(e)[0];
s.parentNode.insertBefore(t,s)}(window, document,'script',
'https://connect.facebook.net/en_US/fbevents.js');
fbq('init', '9251222678332693');
fbq('track', 'PageView');`;

  const FBScriptPalmistryPT1 = `
!function(f,b,e,v,n,t,s)
{if(f.fbq)return;n=f.fbq=function(){n.callMethod?
n.callMethod.apply(n,arguments):n.queue.push(arguments)};
if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
n.queue=[];t=b.createElement(e);t.async=!0;
t.src=v;s=b.getElementsByTagName(e)[0];
s.parentNode.insertBefore(t,s)}(window, document,'script',
'https://connect.facebook.net/en_US/fbevents.js');
fbq('init', '1294757145123988');
fbq('track', 'PageView');`

  return (
    <Helmet htmlAttributes={{ lang: language }}>
      {/* Palmistry */}
      {isPalmistry && <script>{FBScriptPalmistry1}</script>}
      {isPalmistry && locale?.includes("pt") && (
        <script>{FBScriptPalmistryPT1}</script>
      )}
    </Helmet>
  );
};

export default HeadDataPalmDomen;
